Import vector layer error
Status: Closed

Priority: Normal

Assignee:

Category: DB Manager

Affected QGIS version:2.4.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 23443

Description

While trying to load a file from DB Manager, i got this error :

Error 7

Feature write errors:

Creation error for features from #0 to #0. Provider errors was: 

PostGIS error while adding features: ERROR:  Geometry type (MultiPolygon) does not match column type (Polygon)

Only 0 of 3 features written.

History

#1 - 2016-09-22 08:16 AM - R. R.

See also: #15487

#2 - 2017-05-01 01:03 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2017-05-01 10:15 AM - Giovanni Manghi

- Resolution set to invalid

- Description updated

- Status changed from Open to Closed

- Category set to DB Manager

That is a message from postgresql: you are trying to add a multipart geometry to a table that is not multipart.
